Orders Source (DOMS)
Endpoints to create, update, read, and delete order source configurations.
This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Returns available sources of orders.
All order sources after given Id
Number of order sources to show
25The Order Source Configuration can be found in the body.
This part of the API is in Alpha status. For details, see the API release lifecycle documentation.
This configuration is to define possible sources of an order
The date this configuration was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date the config was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the configuration to be used in optimistic locking mechanisms.
42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
GET /api/configurations/ordersources HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"created": "2020-02-03T08:45:51.525Z",
"id": "text",
"lastModified": "2020-02-03T09:45:51.525Z",
"orderSources": [
{
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"id": "text",
"name": "text",
"tenantSourceId": "text",
"version": 1
}
],
"version": 42
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Create order sources.
This part of the API is in Alpha status. For details, see the API release lifecycle documentation.
Possible source of an order
The order source configuration was successfully created.
This part of the API is in Alpha status. For details, see the API release lifecycle documentation.
Possible source of an order
Invalid input. See response for details
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/configurations/ordersources HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 101
{
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"tenantSourceId": "text"
}{
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"id": "text",
"name": "text",
"tenantSourceId": "text",
"version": 1
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Update order source.
Possible source of an order, used for update operations, where the version is required for optimistic locking
The order source was successfully updated.
This part of the API is in Alpha status. For details, see the API release lifecycle documentation.
Possible source of an order
Invalid input. See response for details
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
PUT /api/configurations/ordersources/{ordersourceId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 113
{
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"tenantSourceId": "text",
"version": 1
}{
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"id": "text",
"name": "text",
"tenantSourceId": "text",
"version": 1
}This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Delete order source.
This part of the API is in Alpha status. For details, see the API release lifecycle documentation.
This configuration is to define possible sources of an order
The date this configuration was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date the config was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the configuration to be used in optimistic locking mechanisms.
42DELETE /api/configurations/ordersources/{ordersourceId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"created": "2020-02-03T08:45:51.525Z",
"id": "text",
"lastModified": "2020-02-03T09:45:51.525Z",
"orderSources": [
{
"nameLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"id": "text",
"name": "text",
"tenantSourceId": "text",
"version": 1
}
],
"version": 42
}Last updated
Was this helpful?

